//	CDirEntryPro.c

#include "CDirEntryPro.h"

OSErr		CDirEntryPro::IDirEntryPro(
	CDirectoryUnion		cparentDir, 
	DiskLocSpec			dirLocation, 
	short				entryIndex
) {
	return = inherited::IDirEntry(cparentDir, dirLocation, entryIndex);
}

Boolean		CDirEntry::IsDirectory(void)
{
	return GetType() == 0x0F;
}

void		CDirEntry::NewEntrySubdir(void)
{
	CDirectoryPro		*cdir = new(CDirectoryPro);
	Pro_DirEntry		*proDirEntry;
	DiskLocSpec			dirLocation;
	
	proDirEntry = i_cparentDir->GetEntry(i_dirLocation, i_entryIndex);
	
	dirLocation.pro = proDirEntry->key

	cdir->IDirectoryPro(i_cparentDir->i_cDisk, dirLocation);

	i_children = cDir;
}
